Name: kchm
Version: 0.6.5
Release: alt1

Summary: Chm viewer for KDE
License: GPL
Group: Text tools

Url: http://sourceforge.net/projects/kchmnew/
Source: %name-%version.tar.bz2

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: libchm++ = %version-%release

# Automatically added by buildreq on Sat Mar 19 2005
BuildRequires: fontconfig freetype2 gcc-c++ kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xml-utils xorg-x11-devel zlib-devel

%description
KChm is a new chm viewer for KDE. It consists of kio_chm, corresponding
kpart(so you can view chm files in konqueror) and a small viewer on top of this.

%package -n libchm++
Summary: Library associated with chm
Group: System/Libraries

%description -n libchm++
This package contains shared library for chm

%package -n libchm++-devel
Summary: Library and headers files for chm
Group: Development/C++
Requires: libchm++ = %version-%release

%description -n libchm++-devel
This package contains shared library and headers files for chm

%prep
%setup -q

%build
subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:
subst 's,\.la,.so,g' configure

%configure \
    --disable-rpath
%make_build

%install
%make DESTDIR=%buildroot install

%post -n libchm++ -p /sbin/ldconfig
%postun -n libchm++ -p /sbin/ldconfig

%files
%_bindir/%name
%_libdir/kde3/*.so
%_datadir/apps/*chm*
%_datadir/mimelnk/application/*.desktop
%_datadir/services/*
%_datadir/servicetypes/*.desktop
%_iconsdir/*/*/apps/*.png

%files -n libchm++
%_libdir/*.so.*

%files -n libchm++-devel
%_libdir/*.so
%_includedir/*.h

%changelog
* Sat Mar 19 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.6.5-alt1
- initial release

